de.esprit.netsuite.client.tool

## Class ClientToolAction<C extends ClientContext>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.netsuite.client.gui.action.ClientAction<C>
      - - de.esprit.netsuite.client.tool.ClientToolAction<C>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action
  Direct Known Subclasses:
    BatchTaskConfigAction, ChatToolAction, CpuLoadConfigAction, EmailConfigAction, GroupManagerAction, LoadMeterToolAction, LogConfigAction, PermissionManagerAction, RemoteTaskFramePopupAction, ServerDataSourceAction, ServerEventRegisterAction, ServerLogfileListAction, ServerMemoryMonitorAction, SessionManagerAction, UserManagerAction

      public abstract class ClientToolAction<C extends ClientContext>
      extends ClientAction<C>

  This is the base class for actions in the client toolbar. It pops up either a `ClientToolDialog` or a `ClientToolFrame`.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientToolAction(C clientCtx, NlsActionKey nls)`
    `ClientToolAction(C clientCtx, NlsActionKey nls, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionFired(java.awt.event.ActionEvent e)` Is called when the action is fired.
    `protected abstract ApplicationToolWindow<C>` | `createWindow(C clientCtx, java.awt.Component caller)`
    `ApplicationToolWindow<C>` | `getToolWindow()`
    `void` | `setToolWindow(ApplicationToolWindow<C> window)`
    `void` | `setWindowCached(boolean isWindowCached)` Tells whether the window should be cached.

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientAction

      `actionFailed, checkEnableCondition, getClientContext, getSessionId, isConnectionSensitive, isLoggedIn, isOffline, isOnline, setConnectionSensitive`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionPerformed, actionPrepare, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientToolAction

          public ClientToolAction(C clientCtx,
                          NlsActionKey nls)

    - #### ClientToolAction

          public ClientToolAction(C clientCtx,
                          NlsActionKey nls,
                          IconKey iconKey)

  - ### Method Detail

    - #### setWindowCached

          public void setWindowCached(boolean isWindowCached)

      Tells whether the window should be cached. Is true by default.

    - #### actionFired

          public final void actionFired(java.awt.event.ActionEvent e)
                                 throws java.lang.Exception

      Description copied from class: `ZAction`
      Is called when the action is fired. It contains the code being executed by this action.
      Specified by:
        `actionFired` in class `ZAction<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### getToolWindow

          public ApplicationToolWindow<C> getToolWindow()
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setToolWindow

          public void setToolWindow(ApplicationToolWindow<C> window)

    - #### createWindow

          protected abstract ApplicationToolWindow<C> createWindow(C clientCtx,
                                              java.awt.Component caller)
                                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.